local zone = "Halls of Reflection"

--en_zone, debuffID, order, icon_priority, color_priority, timer, stackable, color, default_disable, noicon

--Trash
GridStatusRaidDebuff:Debuff(zone, 72215, 1, 5, 5) --Frost Trap
GridStatusRaidDebuff:Debuff(zone, 72269, 2, 5, 5) --Ice Shot
GridStatusRaidDebuff:Debuff(zone, 72222, 3, 5, 5) --Cursed Arrow
GridStatusRaidDebuff:Debuff(zone, 72330, 4, 5, 5) --Deadly Poison
GridStatusRaidDebuff:Debuff(zone, 72334, 5, 5, 5) --Envenomed Dagger Throw
GridStatusRaidDebuff:Debuff(zone, 72335, 6, 5, 5) --Kidney Shot
GridStatusRaidDebuff:Debuff(zone, 16856, 7, 5, 5) --Mortal Strike
GridStatusRaidDebuff:Debuff(zone, 72170, 8, 5, 5) --Flamestrike
GridStatusRaidDebuff:Debuff(zone, 72171, 9, 5, 5) --Chains of Ice
GridStatusRaidDebuff:Debuff(zone, 72321, 10, 5, 5) --Cower in Fear
GridStatusRaidDebuff:Debuff(zone, 72319, 11, 5, 5) --Shadow Word: Pain
GridStatusRaidDebuff:Debuff(zone, 73076, 12, 5, 5) --Throw Shield

--Falric
GridStatusRaidDebuff:BossName(zone, 20, "Falric")
GridStatusRaidDebuff:Debuff(zone, 72452, 21, 5, 5) --Defiling Horror
GridStatusRaidDebuff:Debuff(zone, 72390, 22, 5, 5) --Hopelessness(25)
GridStatusRaidDebuff:Debuff(zone, 72391, 23, 5, 5) --Hopelessness(50)
GridStatusRaidDebuff:Debuff(zone, 72393, 24, 5, 5) --Hopelessness(75)
GridStatusRaidDebuff:Debuff(zone, 72426, 25, 5, 5) --Impending Despair

--Marwyn
GridStatusRaidDebuff:BossName(zone, 30, "Marwyn")
GridStatusRaidDebuff:Debuff(zone, 72436, 31, 5, 5) --Corrupted Flesh
GridStatusRaidDebuff:Debuff(zone, 72369, 32, 5, 5) --Shared Suffering
GridStatusRaidDebuff:Debuff(zone, 72383, 33, 5, 5) --Corrupted Touch

--The Lich King
GridStatusRaidDebuff:BossName(zone, 40, "The Lich King")
GridStatusRaidDebuff:Debuff(zone, 70183, 41, 5, 5) --Curse of Doom
GridStatusRaidDebuff:Debuff(zone, 59018, 42, 5, 5) --Bile Vomit